/***************************************************************************
 *   Copyright (C) 2004 by Vlad Svetlichny                                 *
 *   vladsv@inbox.ru                                                       *
 *   Distributed under GPL                                                 *
 ***************************************************************************/
#ifndef FIND_H
#define FIND_H

#include <qdialog.h>

/**
@author Vlad Svetlichny
*/
class tab;
class QCheckBox;
class QLineEdit;
class QPushButton;

class Find : public QDialog
{
Q_OBJECT
public:
    Find(QWidget *parent, tab *ttab,const char *name = 0);

    ~Find();
    
public slots:
    void findAgain();
    void findNext();

private:
    void findSome();
    
    tab *ttext;
    QLineEdit *lineEdit;
    QCheckBox *caseCheckBox, *backwardCheckBox, *wholeWordBox;
    QPushButton *findButton, *findNextButton;
    int para, index;
    
};

#endif
