/***************************************************************************
 *   Copyright (C) 2005 by Vlad Svetlichny                                 *
 *   vladsv@inbox.ru                                                       *
 *   Distributed under GPL                                                 *
 ***************************************************************************/
#ifndef ADDBOOKMARKDLG_H
#define ADDBOOKMARKDLG_H

#include <qdialog.h>
#include <qlineedit.h>

/**
@author Vlad Svetlichny
*/

class tab;

class AddBookmarkDlg : public QDialog
{
Q_OBJECT
public:
    AddBookmarkDlg(QWidget *parent, tab *ttab, QString *name, int *position,
    bool rename=FALSE);

public slots:
    void sayOk();
    void sayCancel();
    
private:
    QLineEdit *edit;
    QString *fname;
    int *fposition;
};

#endif
