 /**************************************************************************
 *   Copyright (C) 2005 by Vlad Svetlichny                                 *
 *   vladsv@inbox.ru                                                       *
 *   Distributed under GPL                                                 *
 ***************************************************************************/
#include <qapplication.h>
#include <qtextcodec.h>
#include "kniga.h"
#include "config.h"

int main( int argc, char ** argv ) {
    QApplication a( argc, argv );

// Qt translations
    
    QTranslator qt_tr(0);
    qt_tr.load(QString("qt_") + QTextCodec::locale());
    a.installTranslator(&qt_tr);
// App translations
    QTranslator app_tr(0);
    app_tr.load(QString("kniga_") + QTextCodec::locale(), QM_PATH);
    a.installTranslator(&app_tr);
    Kniga *mw=new Kniga();
    
    if (argc>1) mw->load(QString(argv[1]));
    
    mw->show();
    a.connect( &a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()) );
//     int ret=a.exec();
//     delete mw;
    return a.exec();
}
