/***************************************************************************
 *   Copyright (C) 2005 by Vlad Svetlichny                                 *
 *   vladsv@inbox.ru                                                       *
 *   Distributed under GPL                                                 *
 ***************************************************************************/
#ifndef STATISTICSB_H
#define STATISTICSB_H

#include <qlabel.h>
/**
@author Vlad Svetlichny
*/

class Kniga;

class StatisticSB : public QWidget
{
Q_OBJECT
public:
    StatisticSB(QWidget *parent, Kniga *kkniga);
    
public slots:
    void refresh();
    
private:
    Kniga *fkniga;

    QLabel *lblPara, *lblWithSpaces, *lblWithoutSpaces, *lblLines, *lblWords,
           *lblSyllabels, *lblSentences;
};

#endif
